<template>
  <div class="btn-group btn-group-actions btn-group-xs">
    <a class="btn btn-link link-secondary disabled btn-sm btn-icon">
      <CircleOffIcon class="icon-xxs" />
    </a>
    <a
      v-if="output.uri && output.type !== 'apps-embed'"
      :href="output.uri"
      target="_blank"
      class="btn btn-link link-secondary btn-sm text-blue btn-icon"
    >
      <EyeIcon class="icon-xxs" />
    </a>
    <a
      v-if="output.uri && output.type === 'apps-embed'"
      class="btn btn-link link-secondary btn-sm text-blue btn-icon"
    >
      <EyeIcon
        class="icon-xxs"
        data-cy="report-eye-icon"
        @click="openReport()"
      />
    </a>
    <a class="btn btn-link link-secondary btn-sm text-red btn-icon disabled">
      <TrashIcon class="icon-xxs" />
    </a>
    <a class="btn btn-link link-secondary disabled btn-sm btn-icon">
      <DotsVerticalIcon class="icon-xxs" />
    </a>
  </div>
</template>

<script>
export default {
  props: {
    output: {
      type: Object,
      default: () => {},
    },
  },
  methods: {
    openReport() {
      this.$store.commit('ui/setOutputReport', this.output);
    },
  },
};
</script>

<style></style>
